CVE-2005-2234
CVSS7.2
发布时间 :2005-07-12 00:00:00
修订时间 :2008-09-05 16:51:14
NMCO    

[原文]Buffer overflow in the getlvname command in IBM AIX 5.1, 5.2 and 5.3, might allow local users to execute arbitrary code via long command line arguments.


[CNNVD]IBM AIX getlvnmae 缓冲区溢出漏洞(CNNVD-200507-146)

        IBM AIX是一款商业性质的UNIX操作系统。
        IBM AIX 5.1、5.2及5.3中的getlvname命令存在缓冲区溢出漏洞。
        本地用户可通过较长的命令行参数,利用此漏洞执行任意代码。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2234
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2234
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-146
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/13914
(PATCH)  BID  13914
http://www.security-focus.com/advisories/8684
(VENDOR_ADVISORY)  CONFIRM  http://www.security-focus.com/advisories/8684
http://secunia.com/advisories/15636
(VENDOR_ADVISORY)  SECUNIA  15636
http://www.caughq.org/advisories/CAU-2005-0005.txt
(VENDOR_ADVISORY)  MISC  http://www.caughq.org/advisories/CAU-2005-0005.txt
http://securitytracker.com/id?1014132
(UNKNOWN)  SECTRACK  1014132

- 漏洞信息

IBM AIX getlvnmae 缓冲区溢出漏洞
高危 缓冲区溢出
2005-07-12 00:00:00 2005-10-20 00:00:00
本地  
        IBM AIX是一款商业性质的UNIX操作系统。
        IBM AIX 5.1、5.2及5.3中的getlvname命令存在缓冲区溢出漏洞。
        本地用户可通过较长的命令行参数,利用此漏洞执行任意代码。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        http://www.ibm.com/support/docview.wss?uid=isg1IY72713

- 漏洞信息

17253
IBM AIX getlvname Command Line Argument Local Overflow
Local Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A local overflow exists in AIX. The 'getlvname' command fails to perform proper bounds checking resulting in a buffer overflow. With a specially crafted request containing an overly long command line argument, a malicious user can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-06-06 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站